Deepnote Public API v2
Audit logs API
Workspace activity recorded in the audit log.
Base URL
https://api.deepnote.com/v2List audit log events
get
/audit-logsParameters
pageSizequeryintegerMaximum number of audit log events to return. Defaults to 1000, which is also the maximum.
pageTokenquerystringOpaque token returned by the previous page. Omit for the first page.
fromquerystring:date-timeOnly return events created at or after this ISO 8601 timestamp.
toquerystring:date-timeOnly return events created before this ISO 8601 timestamp.
typesquerystringComma-separated list of event types to filter by (e.g. `?types=workspace_member_added,workspace_member_role_edited`). Requires `from` and `to`, at most 7 days apart.
Responses
▸200Page of audit log events
application/json
ListAuditLogsResponseauditLogsrequiredAuditLog[]paginationrequiredCursorPagination▸400Validation error
application/json
ErrorResponsemessagerequiredstring▸401Unauthorized
application/json
ErrorResponsemessagerequiredstring▸403The workspace is not on the Enterprise plan or the API key owner is not an admin
application/json
ErrorResponsemessagerequiredstring▸429Rate limit exceeded
application/json
ErrorResponsemessagerequiredstring